<form class="d-flex flex-column" [formGroup]="formGroup">
    <div class="d-flex flex-column flex-fill" style="padding: 20px 20px 5px 20px; overflow: auto;"
         [style.padding-top.px]="campaign ? 0 : 20">

        <div [style.order]="campaign ? 1 : 0" class="row">

            <div *ngIf="!fromPatient && !campaign" class="col-4">
                <mat-form-field appearance="outline" class="full-width">
                    <mat-label>Categories</mat-label>
                    <app-kendo-multi-select
                            placeholder="Select Categories"
                            [checkboxes]="true"
                            [dropDownArrow]="true"
                            [data]="categories"
                            [maxDisplay]="1"
                            [selectAll]="true"
                            (valueChanged)="filterNumbers($event)"
                    ></app-kendo-multi-select>
                </mat-form-field>
            </div>

            <div class="d-flex flex-column" [ngClass]="!fromPatient && !campaign ? 'col-8' : 'col-12'">

                <mat-form-field *ngIf="fromPatient || campaign" [style.order]="fromPatient ? 0 : 1" appearance="outline"
                                class="full-width">
                    <mat-label>Template</mat-label>
                    <app-dropdown-search
                            [data]="templates"
                            textField="name"
                            valueField="id"
                            formControlName="templateId"
                            placeholder="Select Template"
                            (valueChange)="getEmailTemplateDetails($event)"></app-dropdown-search>
                    <mat-error *ngIf="formGroup.get('templateId').hasError('required')">
                        This field is required.
                    </mat-error>
                </mat-form-field>

                <mat-form-field [style.order]="fromPatient ? 1 : 0" appearance="outline" class="full-width">
                    <mat-label>To</mat-label>

                    <app-kendo-multi-select
                            formControlName="to"
                            [filterable]="true"
                            [checkboxes]="true"
                            [dropDownArrow]="true"
                            [data]="toData"
                            [add]="{value: campaign, text: 'Create New List'}"
                            [selectAll]="true"
                            (create)="onCLickCreate()"
                    >
<!--                        <button-->
<!--                                type="button"-->
<!--                                *ngIf="fromPatient && !campaign"-->
<!--                                style="-->
<!--                                    background: none;-->
<!--                                    border: none;-->
<!--                                    position: absolute;-->
<!--                                    right: 10px;-->
<!--                                    top: 50%;-->
<!--                                    color: #1C1B1B;-->
<!--                                    transform: translateY(-50%);" (click)="isDisplayCCField = !isDisplayCCField">-->
<!--                            Cc-->
<!--                        </button>-->
                    </app-kendo-multi-select>

                    <mat-error *ngIf="formGroup.get('to').hasError('required')">
                        This field is required.
                    </mat-error>
                </mat-form-field>

            </div>
        </div>

        <div *ngIf="!fromPatient && !campaign" class="row">

            <div class="col-12" [ngClass]="!fromPatient && !campaign ? 'col-8' : 'col-12'">

                <mat-form-field [style.order]="fromPatient ? 0 : 1" appearance="outline" class="full-width">
                    <mat-label>Template</mat-label>
                    <app-dropdown-search
                            [data]="templates"
                            textField="name"
                            valueField="id"
                            formControlName="templateId" placeholder="Select Template"
                            (valueChange)="getEmailTemplateDetails($event)"></app-dropdown-search>
                    <mat-error *ngIf="formGroup.get('templateId').hasError('required')">
                        This field is required.
                    </mat-error>
                </mat-form-field>

            </div>
        </div>

<!--        <div class="row" style="order: 1" *ngIf="isDisplayCCField">-->
<!--            <div class="col-sm-12">-->
<!--                <mat-form-field appearance="outline" class="full-width">-->
<!--                    <mat-label>Cc</mat-label>-->

<!--                    <app-kendo-multi-select-->
<!--                            [formControl]="ccFormControl"-->
<!--                            [checkboxes]="true"-->
<!--                            [filterable]="true"-->
<!--                            [dropDownArrow]="true"-->
<!--                            [data]="toData"-->
<!--                            [selectAll]="true"-->
<!--                            [allowCustom]="true"-->
<!--                    >-->
<!--                    </app-kendo-multi-select>-->

<!--                    <mat-error *ngIf="ccFormControl.hasError('required')">-->
<!--                        This field is required.-->
<!--                    </mat-error>-->
<!--                </mat-form-field>-->
<!--            </div>-->
<!--        </div>-->

        <div style="order: 1" class="d-flex align-items-center">
            <div class="flex-fill w-100 mr-2">
                <mat-form-field appearance="outline" class="full-width">
                    <mat-label>Subject</mat-label>
                    <input matInput formControlName="subject" placeholder="Subject"/>
                    <mat-error *ngIf="formGroup.get('subject').hasError('required')">
                        This field is required.
                    </mat-error>
                </mat-form-field>
            </div>

            <div class="flex-fill w-100 ml-2">
                <mat-form-field appearance="outline" class="full-width">
                    <mat-label>Tags</mat-label>
                    <app-letter-tag-list></app-letter-tag-list>
                </mat-form-field>
            </div>

            <div class="flex-fill ml-2">
                <button type="button" class="no-border-bg-btn" (click)="fileSelectService.selectFile()">
                    <mat-icon>attach_file</mat-icon>
                    <span style="font-size: 12px;">Attach File</span>
                </button>
            </div>
        </div>

        <div style="order: 1" class="d-flex flex-column" *ngIf="fileSelectService.files">

            <div class="d-flex" *ngFor="let file of fileSelectService.selectedFiles; let i = index;"
                 style="
                    background-color: #f5f5f5;
                    border: 1px solid transparent;
                    font-weight: bold;
                    margin: 0 0 9px;
                    overflow-y: hidden;
                    padding: 4px 4px 4px 8px;">
                <span style="color: #00AEEF;" class="cursor-pointer"
                      (click)="fileSelectService.previewImage(i)">{{file.name}}</span>
                <span class="ml-2">({{file.size}})</span>
                <div class="d-flex flex-fill" style="place-content: end;">
                    <mat-icon class="cursor-pointer" (click)="fileSelectService.remove(i)">close</mat-icon>
                </div>
            </div>

        </div>

        <div class="d-flex" style="order: 1">

            <!-- Document Description  -->
            <div class="flex-fill w-100 mr-2">
                <ckeditor formControlName="messageBody" (ready)="onEditorReady($event)"
                          (ngModelChange)="onTextChange($event)" [config]="ckeConfig" debounce="500"
                          style="width: 100%; height: 100%;">
                </ckeditor>
            </div>

            <div class="ml-2" style="min-width: 300px;">

                <div class="col-sm-12 col-md-12 col-xl-12">
                    <table border="1">
                        <thead>
                        <tr class="charater-wrapper-tr normal_16px_19px_font">
                            <td colspan="4">character count</td>
                        </tr>
                        </thead>
                        <tbody>
                        <tr>
                            <td class="charater-wrapper-td normal_16px_19px_font" style="font-weight: 700;">
                                Character Type
                            </td>
                            <td class="charater-wrapper-td normal_16px_19px_font" style="font-weight: 700;">
                                No. of Charactes
                            </td>
                        </tr>
                        <tr>
                            <td class="charater-wrapper-td normal_16px_19px_font">Letter</td>
                            <td class="charater-wrapper-td normal_16px_19px_font">{{letterCount}}</td>
                        </tr>
                        <tr>
                            <td class="charater-wrapper-td normal_16px_19px_font">Number</td>
                            <td class="charater-wrapper-td normal_16px_19px_font">{{numberCount}}</td>
                        </tr>
                        <tr>
                            <td class="charater-wrapper-td normal_16px_19px_font">Space</td>
                            <td class="charater-wrapper-td normal_16px_19px_font">{{spaceCount}}</td>
                        </tr>
                        <tr>
                            <td class="charater-wrapper-td normal_16px_19px_font">Line Break</td>
                            <td class="charater-wrapper-td normal_16px_19px_font">{{lineBreakCount}}</td>
                        </tr>
                        </tbody>
                    </table>
                </div>
                <div class="col-sm-12 col-md-12 col-xl-12 mt-2">
                    <table border="1">
                        <thead>
                        <tr class="charater-wrapper-tr normal_16px_19px_font">
                            <td colspan="4">sms count</td>
                        </tr>
                        </thead>
                        <tbody>
                        <tr>
                            <td class="charater-wrapper-td normal_16px_19px_font" style="font-weight: 700;">No. of SMS
                            </td>
                            <td class="charater-wrapper-td normal_16px_19px_font" style="font-weight: 700;">
                                No. of Charactes
                            </td>
                        </tr>
                        <tr>
                            <td class="charater-wrapper-td normal_16px_19px_font">1</td>
                            <td class="charater-wrapper-td normal_16px_19px_font">160</td>
                        </tr>
                        <tr>
                            <td class="charater-wrapper-td normal_16px_19px_font">2</td>
                            <td class="charater-wrapper-td normal_16px_19px_font">306</td>
                        </tr>
                        <tr>
                            <td class="charater-wrapper-td normal_16px_19px_font">3</td>
                            <td class="charater-wrapper-td normal_16px_19px_font">459</td>
                        </tr>
                        <tr>
                            <td class="charater-wrapper-td normal_16px_19px_font">4</td>
                            <td class="charater-wrapper-td normal_16px_19px_font">612</td>
                        </tr>
                        </tbody>

                    </table>
                </div>

            </div>

        </div>

        <mat-error *ngIf="errormessage" style="order: 1">{{errormessage}}</mat-error>

        <div class="d-flex align-items-center mt-2" style="order: 1">
            <mat-icon color="primary">info</mat-icon>
            <span>SMS messages cannot be greater than 612 characters. Please take into consideration that the tags will be substituted with actual values while sending SMS.</span>
        </div>

    </div>

</form>
